Subject: Re: Question on mpc52xx_common.c

From: Scott Wood <[email-masked]>
Date: Tue, 08 Apr 2008 15:07:58 -0500

Robert Schwebel wrote:
> Well observed; isn't this the prove of the assumption that the whole
> device tree idea is not working? It is *always* inconsistent and it is
> *maintenance hell* because out-of-tree ports do *always* breakt because
> of string inconsistencies. We have just ported a 8260 board from 2.6.22
> to 2.6.25 and it is almost 100% oftree porting.

There's going to be more churn in the initial stages than down the road. 
  82xx had barely been added to arch/powerpc in 2.6.22, and there was 
little review of the initial device tree bindings.

> The ARM method of using just a device number is so much easier ...

Yeah, it's so much fun to have to allocate a globally unique number for 
every minor tweak of a board, and to have to maintain a mapping from 
said numbers to information that is semantically equivalent to a device 
tree but in less maintainable form in the kernel source.

-Scott